# $Revision: 1.109 $, $Date: 2008/06/18 15:53:14 $
Summary:	Tools for the XFS filesystem
Summary(pl.UTF-8):	Narzędzia do systemu plików XFS
Name:		xfsprogs
Version:	2.9.8
Release:	1
License:	LGPL v2.1 (libhandle), GPL v2 (the rest)
Group:		Applications/System
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/cmd_tars/%{name}_%{version}-1.tar.gz
# Source0-md5:	92e1dec6783e63e164f053a510ad94c2
Patch0:		%{name}-miscfix-v2.patch
Patch1:		%{name}-install-sh.patch
Patch2:		%{name}-sharedlibs.patch
Patch3:		%{name}-pl.po-update.patch
Patch4:		%{name}-dynamic_exe.patch
Patch5:		%{name}-LDFLAGS.patch
Patch6:		%{name}-libtool.patch
Patch7:		%{name}-gettext.patch
Patch8:		%{name}-quota-exitstatus.patch
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	rpmbuild(macros) >= 1.402
Obsoletes:	libxfs1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_bindir		/usr/sbin
%define		_libdir		/%{_lib}
%define		_libexecdir	/usr/%{_lib}

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated on
the SGI IRIX platform. It is completely multi-threaded, can support
large files and large filesystems, extended attributes, variable block
sizes, is extent based, and makes extensive use of Btrees
(directories, extents, free space) to aid both performance and
scalability.

This implementation is on-disk compatible with the IRIX version of
XFS.

%description -l pl.UTF-8
Zbiór komend do użytku z systemem plików XFS, włączając w to mkfs.xfs.

XFS jest wysoko wydajnym systemem plików z kroniką, który oryginalnie
był używany na platformie SGI IRIX. Jest to w pełni wielowątkowy,
obsługujący wielkie pliki oraz wielkie systemy, o rozszerzonych
atrybutach, zmiennych wielkościach bloków, mocno wykorzystujący
B-drzewa by uzyskać wysoką wydajność oraz skalowalność.

%package devel
Summary:	Header files and libraries to develop XFS software
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel
Obsoletes:	libxfs1-devel

%description devel
Header files and libraries to develop software which operates on XFS
filesystems.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki potrzebne do rozwoju oprogramowania
operującego na systemie plików XFS.

%package static
Summary:	Static XFS software libraries
Summary(pl.UTF-8):	Biblioteki statyczne do XFS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XFS software libraries.

%description static -l pl.UTF-8
Biblioteki statyczne do XFS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
# (default) --enable-gettext sets ENABLE_GETTEXT make variable, but not C define
# CFLAGS are dropped, OPTIMIZER is propagated
%configure \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags} -DENABLE_GETTEXT"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT=$RPM_BUILD_ROOT
DIST_INSTALL=$(pwd)/install.manifest
DIST_INSTALL_DEV=$(pwd)/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

%{__make} install \
	DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev \
	DIST_MANIFEST="$DIST_INSTALL_DEV"

ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libhandle.so.*.*.*) \
	 $RPM_BUILD_ROOT%{_libexecdir}/libhandle.so
ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libdisk.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libdisk.so
ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libxcmd.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libxcmd.so
ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libxfs.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libxfs.so
ln -sf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libxlog.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libxlog.so

%{__sed} -e "s|libdir='%{_libdir}'|libdir='%{_libexecdir}'|" \
	$RPM_BUILD_ROOT%{_libexecdir}/lib{disk,handle,xcmd,xfs,xlog}.la

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

# already in /usr
rm -f $RPM_BUILD_ROOT%{_libdir}/libdisk.{a,la,so}
rm -f $RPM_BUILD_ROOT%{_libdir}/libhandle.{a,la,so}
rm -f $RPM_BUILD_ROOT%{_libdir}/libxcmd.{a,la,so}
rm -f $RPM_BUILD_ROOT%{_libdir}/libxfs.{a,la,so}
rm -f $RPM_BUILD_ROOT%{_libdir}/libxlog.{a,la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/{CHANGES,CREDITS}
%attr(755,root,root) %{_sbindir}/fsck.xfs
%attr(755,root,root) %{_sbindir}/mkfs.xfs
%attr(755,root,root) %{_sbindir}/xfs_repair
%attr(755,root,root) %{_bindir}/xfs_*
%attr(755,root,root) %{_libdir}/libdisk.so.*.*
%attr(755,root,root) %{_libdir}/libhandle.so.*.*
%attr(755,root,root) %{_libdir}/libxcmd.so.*.*
%attr(755,root,root) %{_libdir}/libxfs.so.*.*
%attr(755,root,root) %{_libdir}/libxlog.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libdisk.so.0
%attr(755,root,root) %ghost %{_libdir}/libhandle.so.1
%attr(755,root,root) %ghost %{_libdir}/libxcmd.so.0
%attr(755,root,root) %ghost %{_libdir}/libxfs.so.0
%attr(755,root,root) %ghost %{_libdir}/libxlog.so.0
%{_mandir}/man5/xfs.5*
%{_mandir}/man8/fsck.xfs.8*
%{_mandir}/man8/mkfs.xfs.8*
%{_mandir}/man8/xfs_*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/libdisk.so
%attr(755,root,root) %{_libexecdir}/libhandle.so
%attr(755,root,root) %{_libexecdir}/libxcmd.so
%attr(755,root,root) %{_libexecdir}/libxfs.so
%attr(755,root,root) %{_libexecdir}/libxlog.so
%{_libexecdir}/libdisk.la
%{_libexecdir}/libhandle.la
%{_libexecdir}/libxcmd.la
%{_libexecdir}/libxfs.la
%{_libexecdir}/libxlog.la
%{_includedir}/disk
%{_includedir}/xfs
%{_mandir}/man3/*handle.3*
%{_mandir}/man3/xfsctl.3*

%files static
%defattr(644,root,root,755)
%{_libexecdir}/libdisk.a
%{_libexecdir}/libhandle.a
%{_libexecdir}/libxcmd.a
%{_libexecdir}/libxfs.a
%{_libexecdir}/libxlog.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfsprogs.spec,v $
Revision 1.109  2008/06/18 15:53:14  qboosh
- updated pl.po-update patch

Revision 1.108  2008/06/18 15:09:37  qboosh
- updated Source0 URL

Revision 1.107  2008/04/23 06:52:47  arekm
- up to 2.9.8

Revision 1.106  2008-04-19 07:54:13  arekm
- make xfs_quota exit with non zero status if something goes wrong

Revision 1.105  2008-03-24 18:08:45  glen
- release 2

Revision 1.104  2008-03-24 17:59:27  glen
- 2.9.7, resolves sb_lazy_counters regression in #122

Revision 1.103  2008-02-15 20:34:52  qboosh
- updated to 2.9.6
- updated pl.po-update patch

Revision 1.102  2008-01-26 22:53:03  glen
- rel 4

Revision 1.101  2008-01-26 01:39:34  qboosh
- release 3

Revision 1.100  2008-01-26 01:38:03  qboosh
- updated pl.po-update patch, fixed libxcmd change in dynamic_exe patch
- reverted configure (optflags, gettext) breakage; no need to pass default --enable-*

Revision 1.99  2008-01-23 20:25:14  glen
- enabled dynamic exe patch and dropped bcond; rel 2

Revision 1.98  2008-01-23 20:09:24  glen
- drop obscure bcond static, which was for static libuuid which option no longer exists
- verbose files, files cleanup, use proper rpm macros to fix man symlinks

Revision 1.97  2008-01-23 13:01:52  arekm
- up to 2.9.5

Revision 1.96  2007-12-25 22:18:27  glen
- rel 2

Revision 1.95  2007-09-12 07:48:35  glen
- check-files cleanup

Revision 1.94  2007/09/12 06:50:05  arekm
- up to 2.9.4

Revision 1.93  2007/08/01 22:03:16  qboosh
- updated to 2.9.3
- updated pl.po-update patch
- xfs_metadump.h included in sources

Revision 1.92  2007/07/21 07:52:43  arekm
- up to 2.9.2

Revision 1.91  2007/06/01 18:11:01  qboosh
- updated to 2.8.21
- updated pl.po-update patch

Revision 1.90  2007/04/02 15:37:37  qboosh
- updated pl.po-update patch, release 2

Revision 1.89  2007/04/01 01:13:32  arekm
- up to 2.8.20

Revision 1.88  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.87  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.86  2007/01/18 08:15:05  arekm
- rel 2; fix symlinks pointing to nowhere

Revision 1.85  2006/12/20 20:38:51  qboosh
- updated to 2.8.18, updated pl.po-update patch

Revision 1.84  2006/11/13 15:06:00  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.83  2006/10/30 20:25:29  qboosh
- updated to 2.8.16, updated pl.po-update patch, added gettext patch

Revision 1.82  2006/08/23 18:27:18  glen
- add libtool patch

Revision 1.81  2006/08/23 17:35:16  qboosh
- updated to 2.8.11, updated pl.po-update patch

Revision 1.80  2006/08/16 18:23:52  qboosh
- updated to 2.8.10, updated pl.po-update patch

Revision 1.79  2006/08/02 01:02:56  sparky
- sed 2 patch

Revision 1.78  2006/08/01 00:12:07  sparky
- use rpmldflags for libraries too

Revision 1.77  2006/06/27 21:46:53  qboosh
- updated to 2.8.4, added pl.po-update patch

Revision 1.76  2006/06/22 07:49:35  qboosh
- removed obsolete po patch and pl.po source (I'll make pl.po-update later)

Revision 1.75  2006/06/22 06:20:43  arekm
- up to 2.8.3

Revision 1.74  2006/03/10 17:20:10  sparky
- added dynamic_exe patch and bcond

Revision 1.73  2006/02/26 23:52:26  sparky
- added cflags patch

Revision 1.72  2006/02/26 19:48:05  sparky
- kill -O3 in fsck (on ppc O3 is slower than O2 and very unstable)

Revision 1.71  2006/01/21 19:58:56  qboosh
- updated to 2.7.11, removed obsolete cflags,xfs_db-segv patches
- added po patch and pl.po, enabled gettext support

Revision 1.70  2005/10/24 13:02:54  pluto
- fix ICE on `xfs_db -c frag -r /dev/hdaX` (endian issue).

Revision 1.69  2005/10/14 07:40:27  qboosh
- updated to 2.7.3

Revision 1.68  2005/08/07 18:29:16  hawk
- release 3 (2 for Ra)

Revision 1.67  2005/08/06 15:51:59  qboosh
- updated to 2.6.36, removed outdated gcc4 patch

Revision 1.66  2005/06/08 22:32:58  zbyniu
- R: libuuid-devel in -devel, rel 3, STBR

Revision 1.65  2005/06/08 14:54:49  zbyniu
- BR: gettext-devel

Revision 1.64  2005/05/11 01:46:32  pluto
- gcc4 fixes.

Revision 1.63  2005/05/11 01:07:56  pluto
- release 2 for Th.

Revision 1.62  2004/12/21 11:56:27  qboosh
- hack libdirs in *.la

Revision 1.61  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.60  2004/10/17 14:28:33  qboosh
- updated to 2.6.25, updated miscfix-v2,cflags patches

Revision 1.59  2004/05/25 15:12:01  averne
- added xfsprogs-cflags.patch

Revision 1.58  2004/05/13 18:29:21  areq
- 2.6.13

Revision 1.57  2004/04/05 11:30:56  areq
- 2.6.10 (Note: this contains some very important mkfs fixes from Chris
                Pascoe for anyone creating filesystems with version 2 logs.
                This has been broken in cvs since the sb_features2 superblock
                field was introduced (March 17th).

Revision 1.56  2004/03/27 13:31:33  pluto
- %files

Revision 1.55  2004/03/27 00:02:23  areq
- 2.6.9

Revision 1.54  2004/02/26 17:53:17  pluto
- strict deps.

Revision 1.53  2004/01/28 19:53:51  qboosh
- updated to 2.6.3

Revision 1.52  2004/01/13 22:51:06  qboosh
- updated to 2.6.2

Revision 1.51  2004/01/02 18:17:07  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.50  2003/12/19 00:36:54  jajcus
- use proper libdirs

Revision 1.49  2003/12/01 09:33:06  areq
- 2.6.0

Revision 1.48  2003/10/12 17:44:41  radek
- annotation to previous change: file from df is different

Revision 1.47  2003/10/12 17:31:52  radek
- fixed Source0 URL
  NOTE: version 2.5.11 is available

Revision 1.46  2003/10/09 09:57:42  qboosh
- new bcond style, s/e2fsprogs/libuuid/

Revision 1.45  2003/09/07 17:28:19  blues
- static bcond requires new sed

Revision 1.44  2003/08/25 09:41:52  mmazur
- rel2 for ac

Revision 1.43  2003/08/22 10:24:47  areq
- 2.5.6

Revision 1.42  2003/08/08 16:31:06  qboosh
- up to 2.5.4, updated miscfix-v2 patch

Revision 1.41  2003/06/27 08:07:44  gotar
- removed %{_sbindir} from package contents

Revision 1.40  2003/05/25 11:01:48  malekith
- massive attack, adding Source-md5

Revision 1.39  2003/05/25 06:28:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/23 00:49:33  malekith
- fixed --with static bcond

Revision 1.37  2003/05/23 00:17:52  malekith
- br: libtool

Revision 1.36  2003/02/11 09:26:20  trojan
- updated to 2.3.9

Revision 1.35  2002/11/27 11:30:21  areq
- 2.3.6, STBR

Revision 1.34  2002/11/26 10:57:11  ankry
- 2nd .la file attributes massive attack

Revision 1.33  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.32  2002/09/01 20:10:33  areq
- 2.2.2, STBR

Revision 1.31  2002/08/20 18:10:43  qboosh
- sharedlibs patch - build shared lib{disk,xfs,xlog} too
  (libxfs is needed by xfsdump configure)
- release 2

Revision 1.30  2002/08/13 16:04:26  baggins
- fixed libhandle.so symlink

Revision 1.29  2002/08/13 15:50:33  baggins
- fixed %files

Revision 1.28  2002/08/13 15:44:16  baggins
- updated to 2.1.2

Revision 1.27  2002/07/20 13:49:37  areq
- 2.0.6, STBR
- new %doc

Revision 1.26  2002/05/21 23:15:05  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/30 13:39:49  pioklo
- update to 2.0.3,STBR

Revision 1.24  2002/04/10 18:42:31  kloczek
- libxfs1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.23  2002/04/09 19:28:04  ankry
- removed man section from .so redirections
- release 3

Revision 1.22  2002/04/08 14:30:07  areq
- add link to libhandle.so
- added Requires %{name} = %{version} to devel package
- Relese 2, STBR

Revision 1.21  2002/04/08 12:32:09  areq
- up to 2.0.1, STBR

Revision 1.20  2002/04/02 16:30:47  kloczek
- remove all obsoleted BOOT modyfications,
- pass correctly %{rpmcflags} to compile ption,
- added static subpackage,
- regenereate ac files.

Revision 1.19  2002/03/16 12:32:08  malekith
- added --with static
- thrown away BOOT
- removed unneeded br: lvm-devel

Revision 1.18  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/06 23:12:48  filon
- updated to 1.3.17 (bugfix)

Revision 1.15  2002/01/18 02:15:39  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/03 18:12:40  baggins
- run ldconfig in %post(un)

Revision 1.13  2001/12/06 22:43:51  qboosh
- adapterized, cosmetics, pl spelling(!)
- release 3

Revision 1.12  2001/11/17 12:07:39  malekith
- boot subpackage
- rel 2

Revision 1.11  2001/11/11 21:23:58  misiek
- 1.3.13

Revision 1.10  2001/10/02 21:39:15  ankry
- changed version to 1.3.7
- moved shared libuuid support from patch to configure option

Revision 1.9  2001/09/17 06:05:13  jajcus
- include %{_mandir}/man5 too

Revision 1.8  2001/08/30 06:57:48  aflinta
- added BuildRequires: bash which is needed by install-sh
- added install-sh.patch, STBR

Revision 1.7  2001/08/29 07:52:56  aflinta
- started update to version 1.3.5, still needs some modifications :(

Revision 1.6  2001/06/04 15:54:12  baggins
- removed requires %{name} from devel package (not needed)

Revision 1.5  2001/06/01 13:25:54  baggins
- added Requires %{name} = %{version} to devel package

Revision 1.4  2001/06/01 13:10:18  baggins
- updated to 1.2.7

Revision 1.3  2001/05/01 21:14:25  misiek
- removed not needed requires in devel subpackage

Revision 1.2  2001/05/01 20:59:16  kloczek
- cosmetics.

Revision 1.1  2001/05/01 20:04:39  misiek
- XFS filesystem utilities; initial pld release
